Name:           python-pydantic-settings
Version:        2.10.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Settings management using Pydantic

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/pydantic/pydantic-settings
Source:         %{pypi_source pydantic_settings}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pydantic-settings' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pydantic-settings
Summary:        %{summary}

%description -n python3-pydantic-settings %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pydantic-settings aws-secrets-manager,azure-key-vault,gcp-secret-manager,toml,yaml


%prep
%autosetup -p1 -n pydantic_settings-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x aws-secrets-manager,azure-key-vault,gcp-secret-manager,toml,yaml


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pydantic-settings -f %{pyproject_files}


%changelog
%autochangelog